aboutsummaryrefslogtreecommitdiffstats
path: root/package/base-files/files.old/etc/watchdog
diff options
context:
space:
mode:
authorJohn Crispin <blogic@openwrt.org>2013-03-13 18:11:19 +0000
committerJohn Crispin <blogic@openwrt.org>2013-03-13 18:11:19 +0000
commit47d1577ffb1727e63a27c50a29d65cbea5625935 (patch)
tree4aeff8c4041964f40a41b510ee951adf81dffe17 /package/base-files/files.old/etc/watchdog
parentbbb2cf0b18a152a867512ed72126d3560f581f9c (diff)
downloadupstream-47d1577ffb1727e63a27c50a29d65cbea5625935.tar.gz
upstream-47d1577ffb1727e63a27c50a29d65cbea5625935.tar.bz2
upstream-47d1577ffb1727e63a27c50a29d65cbea5625935.zip
[base-files] make basefiles aware of procd
Signed-off-by: John Crispin <blogic@openwrt.org> git-svn-id: svn://svn.openwrt.org/openwrt/trunk@36003 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/base-files/files.old/etc/watchdog')
-rwxr-xr-xpackage/base-files/files.old/etc/watchdog13
1 files changed, 13 insertions, 0 deletions
diff --git a/package/base-files/files.old/etc/watchdog b/package/base-files/files.old/etc/watchdog
new file mode 100755
index 0000000000..299c891428
--- /dev/null
+++ b/package/base-files/files.old/etc/watchdog
@@ -0,0 +1,13 @@
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2008-2011 OpenWrt.org
+
+START=97
+
+start() {
+ [ -c /dev/watchdog ] || return 1
+ [ -x /sbin/watchdog ] || return 1
+ service_start /sbin/watchdog -t 5 /dev/watchdog
+}
+stop() {
+ service_stop /sbin/watchdog
+}